Subject: Re: linux-next: manual merge of the vfs tree with the gfs2 tree

From: Steven Whitehouse <[email-masked]>
Date: Mon, 18 Jan 2010 10:56:41 +0000

Hi,

On Mon, 2010-01-18 at 10:55 +1100, Stephen Rothwell wrote:
> Hi Al,
> 
> Today's linux-next merge of the vfs tree got a conflict in
> fs/gfs2/ops_inode.c between commit
> 83c77e8b3457f2ee5dad028dc54cf3ce540104b2 ("GFS2: Fix refcnt leak on
> gfs2_follow_link() error path") from the gfs2 tree and commit
> 261a144ac2b3867c7be70f08925e446430df6937 ("Switch gfs2 to nd_set_link()")
> from the vfs tree.
> 
> I can't figure out if the gfs2 tree fix is required any more, so I just
> used the vfs tree version.
> 
> Al, if that gfs2 patch is standalone, you should probably send it to the
> gfs2 guys.
> 

It looks as if the two patches would be alternatives. The only question
is whether Al's patch should be left for the merge window or whether its
ok to send it ahead of time to fix the issue (which is what I had been
intending to do with the bug fix prior to Al's patch).

Thoughts?

Steve.